package com.eitc.modules.devtools.service;

import com.eitc.modules.devtools.config.DataSourceInfo;
import com.eitc.modules.devtools.entity.MenuEntity;
import com.eitc.modules.devtools.entity.TableFieldEntity;
import com.eitc.modules.devtools.entity.TableInfoEntity;

import java.util.List;

/**
 * 代码生成
 *
 * @author Mark eitc@163.com
 */
public interface GeneratorService {

    DataSourceInfo getDataSourceInfo(Long datasourceId);

    void datasourceTable(TableInfoEntity tableInfo);

    void updateTableField(Long tableId, List<TableFieldEntity> tableFieldList);

    void generatorCode(TableInfoEntity tableInfo);

    void generatorMenu(MenuEntity menu);
}
